# Makefile.in generated by automake 1.6.3 from Makefile.am.
# tests/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .././../tests
top_srcdir = .././..
VPATH = .././../tests
prefix = /dev/env/DJDIR
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/share/info
mandir = ${prefix}/share/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/libtheora
pkglibdir = $(libdir)/libtheora
pkgincludedir = $(includedir)/libtheora
top_builddir = ..

ACLOCAL = ${SHELL} ${top_srcdir}/missing --run aclocal-1.6
AUTOCONF = ${SHELL} ${top_srcdir}/missing --run autoconf
AUTOMAKE = ${SHELL} ${top_srcdir}/missing --run automake-1.6
AUTOHEADER = ${SHELL} ${top_srcdir}/missing --run autoheader

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /dev/env/DJDIR/bin/ginstall -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i586-pc-msdosdjgpp
host_triplet = i586-pc-msdosdjgpp

EXEEXT = .exe
OBJEXT = o
PATH_SEPARATOR = :
ACLOCAL_AMFLAGS = -I m4
AMTAR = ${SHELL} ${top_srcdir}/missing --run tar
AR = ar
ARGZ_H = @ARGZ_H@
AS = as
AWK = gawk
BUILDABLE_EXAMPLES =  encoder_example$(EXEEXT)
CAIRO_CFLAGS = 
CAIRO_LIBS = 
CC = gcc
CPP = gcc -E
CXX = @CXX@
CXXCPP = @CXXCPP@
DEBUG = -g -Wall -Wno-parentheses -DDEBUG -D__NO_MATH_INLINES
DEPDIR = _deps
DLLTOOL = dlltool
DSYMUTIL = 
DUMPBIN = 
F77 = @F77@
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GETOPT_OBJS = encoder_example-getopt.$(OBJEXT) encoder_example-getopt1.$(OBJEXT)
GREP = grep
HAVE_BIBTEX = 
HAVE_DOXYGEN = false
HAVE_PDFLATEX = 
HAVE_PKG_CONFIG = yes
HAVE_TRANSFIG = 
HAVE_VALGRIND = 
INCLTDL = @INCLTDL@
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LD = ld
LIBADD_DL = @LIBADD_DL@
LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
LIBADD_DLOPEN = @LIBADD_DLOPEN@
LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
LIBLTDL = @LIBLTDL@
LIBM = @LIBM@
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = cp -pf
LTDLDEPS = @LTDLDEPS@
LTDLINCL = @LTDLINCL@
LTDLOPEN = @LTDLOPEN@
LT_CONFIG_H = @LT_CONFIG_H@
LT_DLLOADERS = @LT_DLLOADERS@
LT_DLPREOPEN = @LT_DLPREOPEN@
MAINT = #
NM = nm
NMEDIT = 
OBJDUMP = objdump
OGG_CFLAGS = -I/dev/env/DJDIR/include  
OGG_LIBS = -L/dev/env/DJDIR/lib -logg  
OSS_LIBS = 
OTOOL = 
OTOOL64 = 
PACKAGE = libtheora
PKG_CONFIG = pkg-config
PNG_CFLAGS = 
PNG_LIBS = 
PROFILE = -Wall -Wno-parentheses -pg -g -O3 -fno-inline-functions -DDEBUG
RANLIB = ranlib
RC = @RC@
SDL_CFLAGS = 
SDL_CONFIG = no
SDL_LIBS = 
SED = sed
STRIP = strip
THDEC_LIB_AGE = 1
THDEC_LIB_CURRENT = 2
THDEC_LIB_REVISION = 4
THENC_LIB_AGE = 1
THENC_LIB_CURRENT = 2
THENC_LIB_REVISION = 2
THEORADEC_LDFLAGS =  
THEORAENC_LDFLAGS =  
THEORA_LDFLAGS =  
TH_LIB_AGE = 3
TH_LIB_CURRENT = 3
TH_LIB_REVISION = 10
VALGRIND_ENVIRONMENT = 
VERSION = 1.1.1
VORBISENC_LIBS = -lvorbisenc
VORBISFILE_LIBS = 
VORBIS_CFLAGS = -I/dev/env/DJDIR/include  
VORBIS_LIBS = -L/dev/env/DJDIR/lib -lvorbis -lm -logg  
am__include = include
am__quote = 
install_sh = /dev/g/tha/srcs/contrib/libtheora-1.1.1/install-sh
lt_ECHO = echo
ltdl_LIBOBJS = @ltdl_LIBOBJS@
ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
sys_symbol_underscore = @sys_symbol_underscore@
INCLUDES = -I$(top_srcdir)/include

noinst_HEADERS = tests.h

AM_CFLAGS = $(OGG_CFLAGS)

THEORADIR = ../lib
THEORA_LIBS = $(THEORADIR)/libtheora.la $(OGG_LIBS)
THEORADEC_LIBS = $(THEORADIR)/libthadec.la $(OGG_LIBS)
THEORAENC_LIBS = $(THEORADIR)/libthaenc.la \
		 $(THEORADIR)/libthadec.la $(OGG_LIBS)


TESTS_ENVIRONMENT = $(VALGRIND_ENVIRONMENT)

TESTS_DEC = noop_theora$(EXEEXT) \
	comment$(EXEEXT) comment_theoradec$(EXEEXT) comment_theora$(EXEEXT)


TESTS_ENC = noop$(EXEEXT) noop_theoraenc$(EXEEXT) \
	granulepos$(EXEEXT) granulepos_theoraenc$(EXEEXT) granulepos_theora$(EXEEXT)


#TESTS = $(TESTS_DEC)
TESTS = $(TESTS_DEC) $(TESTS_ENC)

check_PROGRAMS = $(TESTS)
# dummy call tests for the current api
noop_SOURCES = noop.c
noop_LDADD = $(THEORAENC_LIBS)
noop_CFLAGS = $(OGG_CFLAGS)

# dummy call tests for the pre-1.0 legacy api with current link line
noop_theoraenc_SOURCES = noop_theora.c
noop_theoraenc_LDADD = $(THEORAENC_LIBS)
noop_theoraenc_CFLAGS = $(OGG_CFLAGS)

# dummy call tests for the pre-1.0 legacy api with legacy link line
noop_theora_SOURCES = noop_theora.c
noop_theora_LDADD = $(THEORA_LIBS)
noop_theora_CFLAGS = $(OGG_CFLAGS)

# comment utilities for the current api
comment_SOURCES = comment.c
comment_LDADD = $(THEORADEC_LIBS)
comment_CFLAGS = $(OGG_CFLAGS)

# comment utilities for the legacy api and current lib
comment_theoradec_SOURCES = comment.c
comment_theoradec_LDADD = $(THEORADEC_LIBS)
comment_theoradec_CFLAGS = $(OGG_CFLAGS)

# comment utilities for the legacy api and legacy lib
comment_theora_SOURCES = comment_theora.c
comment_theora_LDADD = $(THEORA_LIBS)
comment_theora_CFLAGS = $(OGG_CFLAGS)

granulepos_SOURCES = granulepos.c
granulepos_LDADD = $(THEORAENC_LIBS) -lm
granulepos_CFLAGS = $(OGG_CFLAGS)

granulepos_theoraenc_SOURCES = granulepos_theora.c
granulepos_theoraenc_LDADD = $(THEORAENC_LIBS) -lm
granulepos_theoraenc_CFLAGS = $(OGG_CFLAGS)

granulepos_theora_SOURCES = granulepos_theora.c
granulepos_theora_LDADD = $(THEORA_LIBS) -lm
granulepos_theora_CFLAGS = $(OGG_CFLAGS)
subdir = tests
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
#check_PROGRAMS = noop_theora$(EXEEXT) \
#	comment$(EXEEXT) \
#	comment_theoradec$(EXEEXT) \
#	comment_theora$(EXEEXT)
check_PROGRAMS = noop_theora$(EXEEXT) \
	comment$(EXEEXT) \
	comment_theoradec$(EXEEXT) \
	comment_theora$(EXEEXT) \
	noop$(EXEEXT) \
	noop_theoraenc$(EXEEXT) \
	granulepos$(EXEEXT) \
	granulepos_theoraenc$(EXEEXT) \
	granulepos_theora$(EXEEXT)
am_comment_OBJECTS = comment-comment.$(OBJEXT)
comment_OBJECTS = $(am_comment_OBJECTS)
comment_DEPENDENCIES = $(THEORADIR)/libthadec.la
comment_LDFLAGS =
am_comment_theora_OBJECTS = comment_theora-comment_theora.$(OBJEXT)
comment_theora_OBJECTS = $(am_comment_theora_OBJECTS)
comment_theora_DEPENDENCIES = $(THEORADIR)/libtheora.la
comment_theora_LDFLAGS =
am_comment_theoradec_OBJECTS = comment_theoradec-comment.$(OBJEXT)
comment_theoradec_OBJECTS = $(am_comment_theoradec_OBJECTS)
comment_theoradec_DEPENDENCIES = $(THEORADIR)/libthadec.la
comment_theoradec_LDFLAGS =
am_granulepos_OBJECTS = granulepos-granulepos.$(OBJEXT)
granulepos_OBJECTS = $(am_granulepos_OBJECTS)
granulepos_DEPENDENCIES = $(THEORADIR)/libthaenc.la \
	$(THEORADIR)/libthadec.la
granulepos_LDFLAGS =
am_granulepos_theora_OBJECTS = \
	granulepos_theora-granulepos_theora.$(OBJEXT)
granulepos_theora_OBJECTS = $(am_granulepos_theora_OBJECTS)
granulepos_theora_DEPENDENCIES = $(THEORADIR)/libtheora.la
granulepos_theora_LDFLAGS =
am_granulepos_theoraenc_OBJECTS = \
	granulepos_theoraenc-granulepos_theora.$(OBJEXT)
granulepos_theoraenc_OBJECTS = $(am_granulepos_theoraenc_OBJECTS)
granulepos_theoraenc_DEPENDENCIES = $(THEORADIR)/libthaenc.la \
	$(THEORADIR)/libthadec.la
granulepos_theoraenc_LDFLAGS =
am_noop_OBJECTS = noop-noop.$(OBJEXT)
noop_OBJECTS = $(am_noop_OBJECTS)
noop_DEPENDENCIES = $(THEORADIR)/libthaenc.la \
	$(THEORADIR)/libthadec.la
noop_LDFLAGS =
am_noop_theora_OBJECTS = noop_theora-noop_theora.$(OBJEXT)
noop_theora_OBJECTS = $(am_noop_theora_OBJECTS)
noop_theora_DEPENDENCIES = $(THEORADIR)/libtheora.la
noop_theora_LDFLAGS =
am_noop_theoraenc_OBJECTS = noop_theoraenc-noop_theora.$(OBJEXT)
noop_theoraenc_OBJECTS = $(am_noop_theoraenc_OBJECTS)
noop_theoraenc_DEPENDENCIES = $(THEORADIR)/libthaenc.la \
	$(THEORADIR)/libthadec.la
noop_theoraenc_LDFLAGS =

DEFS = -DHAVE_CONFIG_H
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS = 
LDFLAGS = 
LIBS = 
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
#DEP_FILES = ./$(DEPDIR)/comment-comment.Po \
#	./$(DEPDIR)/comment_theora-comment_theora.Po \
#	./$(DEPDIR)/comment_theoradec-comment.Po \
#	./$(DEPDIR)/granulepos-granulepos.Po \
#	./$(DEPDIR)/granulepos_theora-granulepos_theora.Po \
#	./$(DEPDIR)/granulepos_theoraenc-granulepos_theora.Po \
#	./$(DEPDIR)/noop-noop.Po \
#	./$(DEPDIR)/noop_theora-noop_theora.Po \
#	./$(DEPDIR)/noop_theoraenc-noop_theora.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CFLAGS = -Wall -Wno-parentheses -fforce-addr -fomit-frame-pointer -finline-functions -funroll-loops -g2 -O2 -std=gnu99 -march=i386 -mtune=i586
DIST_SOURCES = $(comment_SOURCES) $(comment_theora_SOURCES) \
	$(comment_theoradec_SOURCES) $(granulepos_SOURCES) \
	$(granulepos_theora_SOURCES) $(granulepos_theoraenc_SOURCES) \
	$(noop_SOURCES) $(noop_theora_SOURCES) \
	$(noop_theoraenc_SOURCES)
HEADERS = $(noinst_HEADERS)

DIST_COMMON = $(noinst_HEADERS) Makefile.am Makefile.in
SOURCES = $(comment_SOURCES) $(comment_theora_SOURCES) $(comment_theoradec_SOURCES) $(granulepos_SOURCES) $(granulepos_theora_SOURCES) $(granulepos_theoraenc_SOURCES) $(noop_SOURCES) $(noop_theora_SOURCES) $(noop_theoraenc_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  tests/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

clean-checkPROGRAMS:
	@list='$(check_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
comment-comment.$(OBJEXT): comment.c
comment$(EXEEXT): $(comment_OBJECTS) $(comment_DEPENDENCIES) 
	@rm -f comment$(EXEEXT)
	$(LINK) $(comment_LDFLAGS) $(comment_OBJECTS) $(comment_LDADD) $(LIBS)
comment_theora-comment_theora.$(OBJEXT): comment_theora.c
comment_theora$(EXEEXT): $(comment_theora_OBJECTS) $(comment_theora_DEPENDENCIES) 
	@rm -f comment_theora$(EXEEXT)
	$(LINK) $(comment_theora_LDFLAGS) $(comment_theora_OBJECTS) $(comment_theora_LDADD) $(LIBS)
comment_theoradec-comment.$(OBJEXT): comment.c
comment_theoradec$(EXEEXT): $(comment_theoradec_OBJECTS) $(comment_theoradec_DEPENDENCIES) 
	@rm -f comment_theoradec$(EXEEXT)
	$(LINK) $(comment_theoradec_LDFLAGS) $(comment_theoradec_OBJECTS) $(comment_theoradec_LDADD) $(LIBS)
granulepos-granulepos.$(OBJEXT): granulepos.c
granulepos$(EXEEXT): $(granulepos_OBJECTS) $(granulepos_DEPENDENCIES) 
	@rm -f granulepos$(EXEEXT)
	$(LINK) $(granulepos_LDFLAGS) $(granulepos_OBJECTS) $(granulepos_LDADD) $(LIBS)
granulepos_theora-granulepos_theora.$(OBJEXT): granulepos_theora.c
granulepos_theora$(EXEEXT): $(granulepos_theora_OBJECTS) $(granulepos_theora_DEPENDENCIES) 
	@rm -f granulepos_theora$(EXEEXT)
	$(LINK) $(granulepos_theora_LDFLAGS) $(granulepos_theora_OBJECTS) $(granulepos_theora_LDADD) $(LIBS)
granulepos_theoraenc-granulepos_theora.$(OBJEXT): granulepos_theora.c
granulepos_theoraenc$(EXEEXT): $(granulepos_theoraenc_OBJECTS) $(granulepos_theoraenc_DEPENDENCIES) 
	@rm -f granulepos_theoraenc$(EXEEXT)
	$(LINK) $(granulepos_theoraenc_LDFLAGS) $(granulepos_theoraenc_OBJECTS) $(granulepos_theoraenc_LDADD) $(LIBS)
noop-noop.$(OBJEXT): noop.c
noop$(EXEEXT): $(noop_OBJECTS) $(noop_DEPENDENCIES) 
	@rm -f noop$(EXEEXT)
	$(LINK) $(noop_LDFLAGS) $(noop_OBJECTS) $(noop_LDADD) $(LIBS)
noop_theora-noop_theora.$(OBJEXT): noop_theora.c
noop_theora$(EXEEXT): $(noop_theora_OBJECTS) $(noop_theora_DEPENDENCIES) 
	@rm -f noop_theora$(EXEEXT)
	$(LINK) $(noop_theora_LDFLAGS) $(noop_theora_OBJECTS) $(noop_theora_LDADD) $(LIBS)
noop_theoraenc-noop_theora.$(OBJEXT): noop_theora.c
noop_theoraenc$(EXEEXT): $(noop_theoraenc_OBJECTS) $(noop_theoraenc_DEPENDENCIES) 
	@rm -f noop_theoraenc$(EXEEXT)
	$(LINK) $(noop_theoraenc_LDFLAGS) $(noop_theoraenc_OBJECTS) $(noop_theoraenc_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *_tab.c

#include ./$(DEPDIR)/comment-comment.Po
#include ./$(DEPDIR)/comment_theora-comment_theora.Po
#include ./$(DEPDIR)/comment_theoradec-comment.Po
#include ./$(DEPDIR)/granulepos-granulepos.Po
#include ./$(DEPDIR)/granulepos_theora-granulepos_theora.Po
#include ./$(DEPDIR)/granulepos_theoraenc-granulepos_theora.Po
#include ./$(DEPDIR)/noop-noop.Po
#include ./$(DEPDIR)/noop_theora-noop_theora.Po
#include ./$(DEPDIR)/noop_theoraenc-noop_theora.Po

distclean-depend:
	-rm -rf ./$(DEPDIR)

.c.o:
#	source='$<' object='$@' libtool=no 
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' 
#	$(CCDEPMODE) $(depcomp) 
	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
#	source='$<' object='$@' libtool=no 
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' 
#	$(CCDEPMODE) $(depcomp) 
	$(COMPILE) -c `cygpath -w $<`

.c.lo:
#	source='$<' object='$@' libtool=yes 
#	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' 
#	$(CCDEPMODE) $(depcomp) 
	$(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

comment-comment.o: comment.c
#	source='comment.c' object='comment-comment.o' libtool=no 
#	depfile='$(DEPDIR)/comment-comment.Po' tmpdepfile='$(DEPDIR)/comment-comment.TPo' 
#	$(CCDEPMODE) $(depcomp) 
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(comment_CFLAGS) $(CFLAGS) -c -o comment-comment.o `test -f 'comment.c' || echo '$(srcdir)/'`comment.c

comment-comment.obj: comment.c
#	source='comment.c' object='comment-comment.obj' libtool=no 
#	depfile='$(DEPDIR)/comment-comment.Po' tmpdepfile='$(DEPDIR)/comment-comment.TPo' 
#	$(CCDEPMODE) $(depcomp) 
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(comment_CFLAGS) $(CFLAGS) -c -o comment-comment.obj `cygpath -w comment.c`

comment-comment.lo: comment.c
#	source='comment.c' object='comment-comment.lo' libtool=yes 
#	depfile='$(DEPDIR)/comment-comment.Plo' tmpdepfile='$(DEPDIR)/comment-comment.TPlo' 
#	$(CCDEPMODE) $(depcomp) 
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(comment_CFLAGS) $(CFLAGS) -c -o comment-comment.lo `test -f 'comment.c' || echo '$(srcdir)/'`comment.c

comment_theora-comment_theora.o: comment_theora.c
#	source='comment_theora.c' object='comment_theora-comment_theora.o' libtool=no 
#	depfile='$(DEPDIR)/comment_theora-comment_theora.Po' tmpdepfile='$(DEPDIR)/comment_theora-comment_theora.TPo' 
#	$(CCDEPMODE) $(depcomp) 
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(comment_theora_CFLAGS) $(CFLAGS) -c -o comment_theora-comment_theora.o `test -f 'comment_theora.c' || echo '$(srcdir)/'`comment_theora.c

comment_theora-comment_theora.obj: comment_theora.c
#	source='comment_theora.c' object='comment_theora-comment_theora.obj' libtool=no 
#	depfile='$(DEPDIR)/comment_theora-comment_theora.Po' tmpdepfile='$(DEPDIR)/comment_theora-comment_theora.TPo' 
#	$(CCDEPMODE) $(depcomp) 
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(comment_theora_CFLAGS) $(CFLAGS) -c -o comment_theora-comment_theora.obj `cygpath -w comment_theora.c`

comment_theora-comment_theora.lo: comment_theora.c
#	source='comment_theora.c' object='comment_theora-comment_theora.lo' libtool=yes 
#	depfile='$(DEPDIR)/comment_theora-comment_theora.Plo' tmpdepfile='$(DEPDIR)/comment_theora-comment_theora.TPlo' 
#	$(CCDEPMODE) $(depcomp) 
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(comment_theora_CFLAGS) $(CFLAGS) -c -o comment_theora-comment_theora.lo `test -f 'comment_theora.c' || echo '$(srcdir)/'`comment_theora.c

comment_theoradec-comment.o: comment.c
#	source='comment.c' object='comment_theoradec-comment.o' libtool=no 
#	depfile='$(DEPDIR)/comment_theoradec-comment.Po' tmpdepfile='$(DEPDIR)/comment_theoradec-comment.TPo' 
#	$(CCDEPMODE) $(depcomp) 
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(comment_theoradec_CFLAGS) $(CFLAGS) -c -o comment_theoradec-comment.o `test -f 'comment.c' || echo '$(srcdir)/'`comment.c

comment_theoradec-comment.obj: comment.c
#	source='comment.c' object='comment_theoradec-comment.obj' libtool=no 
#	depfile='$(DEPDIR)/comment_theoradec-comment.Po' tmpdepfile='$(DEPDIR)/comment_theoradec-comment.TPo' 
#	$(CCDEPMODE) $(depcomp) 
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(comment_theoradec_CFLAGS) $(CFLAGS) -c -o comment_theoradec-comment.obj `cygpath -w comment.c`

comment_theoradec-comment.lo: comment.c
#	source='comment.c' object='comment_theoradec-comment.lo' libtool=yes 
#	depfile='$(DEPDIR)/comment_theoradec-comment.Plo' tmpdepfile='$(DEPDIR)/comment_theoradec-comment.TPlo' 
#	$(CCDEPMODE) $(depcomp) 
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(comment_theoradec_CFLAGS) $(CFLAGS) -c -o comment_theoradec-comment.lo `test -f 'comment.c' || echo '$(srcdir)/'`comment.c

granulepos-granulepos.o: granulepos.c
#	source='granulepos.c' object='granulepos-granulepos.o' libtool=no 
#	depfile='$(DEPDIR)/granulepos-granulepos.Po' tmpdepfile='$(DEPDIR)/granulepos-granulepos.TPo' 
#	$(CCDEPMODE) $(depcomp) 
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(granulepos_CFLAGS) $(CFLAGS) -c -o granulepos-granulepos.o `test -f 'granulepos.c' || echo '$(srcdir)/'`granulepos.c

granulepos-granulepos.obj: granulepos.c
#	source='granulepos.c' object='granulepos-granulepos.obj' libtool=no 
#	depfile='$(DEPDIR)/granulepos-granulepos.Po' tmpdepfile='$(DEPDIR)/granulepos-granulepos.TPo' 
#	$(CCDEPMODE) $(depcomp) 
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(granulepos_CFLAGS) $(CFLAGS) -c -o granulepos-granulepos.obj `cygpath -w granulepos.c`

granulepos-granulepos.lo: granulepos.c
#	source='granulepos.c' object='granulepos-granulepos.lo' libtool=yes 
#	depfile='$(DEPDIR)/granulepos-granulepos.Plo' tmpdepfile='$(DEPDIR)/granulepos-granulepos.TPlo' 
#	$(CCDEPMODE) $(depcomp) 
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(granulepos_CFLAGS) $(CFLAGS) -c -o granulepos-granulepos.lo `test -f 'granulepos.c' || echo '$(srcdir)/'`granulepos.c

granulepos_theora-granulepos_theora.o: granulepos_theora.c
#	source='granulepos_theora.c' object='granulepos_theora-granulepos_theora.o' libtool=no 
#	depfile='$(DEPDIR)/granulepos_theora-granulepos_theora.Po' tmpdepfile='$(DEPDIR)/granulepos_theora-granulepos_theora.TPo' 
#	$(CCDEPMODE) $(depcomp) 
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(granulepos_theora_CFLAGS) $(CFLAGS) -c -o granulepos_theora-granulepos_theora.o `test -f 'granulepos_theora.c' || echo '$(srcdir)/'`granulepos_theora.c

granulepos_theora-granulepos_theora.obj: granulepos_theora.c
#	source='granulepos_theora.c' object='granulepos_theora-granulepos_theora.obj' libtool=no 
#	depfile='$(DEPDIR)/granulepos_theora-granulepos_theora.Po' tmpdepfile='$(DEPDIR)/granulepos_theora-granulepos_theora.TPo' 
#	$(CCDEPMODE) $(depcomp) 
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(granulepos_theora_CFLAGS) $(CFLAGS) -c -o granulepos_theora-granulepos_theora.obj `cygpath -w granulepos_theora.c`

granulepos_theora-granulepos_theora.lo: granulepos_theora.c
#	source='granulepos_theora.c' object='granulepos_theora-granulepos_theora.lo' libtool=yes 
#	depfile='$(DEPDIR)/granulepos_theora-granulepos_theora.Plo' tmpdepfile='$(DEPDIR)/granulepos_theora-granulepos_theora.TPlo' 
#	$(CCDEPMODE) $(depcomp) 
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(granulepos_theora_CFLAGS) $(CFLAGS) -c -o granulepos_theora-granulepos_theora.lo `test -f 'granulepos_theora.c' || echo '$(srcdir)/'`granulepos_theora.c

granulepos_theoraenc-granulepos_theora.o: granulepos_theora.c
#	source='granulepos_theora.c' object='granulepos_theoraenc-granulepos_theora.o' libtool=no 
#	depfile='$(DEPDIR)/granulepos_theoraenc-granulepos_theora.Po' tmpdepfile='$(DEPDIR)/granulepos_theoraenc-granulepos_theora.TPo' 
#	$(CCDEPMODE) $(depcomp) 
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(granulepos_theoraenc_CFLAGS) $(CFLAGS) -c -o granulepos_theoraenc-granulepos_theora.o `test -f 'granulepos_theora.c' || echo '$(srcdir)/'`granulepos_theora.c

granulepos_theoraenc-granulepos_theora.obj: granulepos_theora.c
#	source='granulepos_theora.c' object='granulepos_theoraenc-granulepos_theora.obj' libtool=no 
#	depfile='$(DEPDIR)/granulepos_theoraenc-granulepos_theora.Po' tmpdepfile='$(DEPDIR)/granulepos_theoraenc-granulepos_theora.TPo' 
#	$(CCDEPMODE) $(depcomp) 
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(granulepos_theoraenc_CFLAGS) $(CFLAGS) -c -o granulepos_theoraenc-granulepos_theora.obj `cygpath -w granulepos_theora.c`

granulepos_theoraenc-granulepos_theora.lo: granulepos_theora.c
#	source='granulepos_theora.c' object='granulepos_theoraenc-granulepos_theora.lo' libtool=yes 
#	depfile='$(DEPDIR)/granulepos_theoraenc-granulepos_theora.Plo' tmpdepfile='$(DEPDIR)/granulepos_theoraenc-granulepos_theora.TPlo' 
#	$(CCDEPMODE) $(depcomp) 
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(granulepos_theoraenc_CFLAGS) $(CFLAGS) -c -o granulepos_theoraenc-granulepos_theora.lo `test -f 'granulepos_theora.c' || echo '$(srcdir)/'`granulepos_theora.c

noop-noop.o: noop.c
#	source='noop.c' object='noop-noop.o' libtool=no 
#	depfile='$(DEPDIR)/noop-noop.Po' tmpdepfile='$(DEPDIR)/noop-noop.TPo' 
#	$(CCDEPMODE) $(depcomp) 
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(noop_CFLAGS) $(CFLAGS) -c -o noop-noop.o `test -f 'noop.c' || echo '$(srcdir)/'`noop.c

noop-noop.obj: noop.c
#	source='noop.c' object='noop-noop.obj' libtool=no 
#	depfile='$(DEPDIR)/noop-noop.Po' tmpdepfile='$(DEPDIR)/noop-noop.TPo' 
#	$(CCDEPMODE) $(depcomp) 
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(noop_CFLAGS) $(CFLAGS) -c -o noop-noop.obj `cygpath -w noop.c`

noop-noop.lo: noop.c
#	source='noop.c' object='noop-noop.lo' libtool=yes 
#	depfile='$(DEPDIR)/noop-noop.Plo' tmpdepfile='$(DEPDIR)/noop-noop.TPlo' 
#	$(CCDEPMODE) $(depcomp) 
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(noop_CFLAGS) $(CFLAGS) -c -o noop-noop.lo `test -f 'noop.c' || echo '$(srcdir)/'`noop.c

noop_theora-noop_theora.o: noop_theora.c
#	source='noop_theora.c' object='noop_theora-noop_theora.o' libtool=no 
#	depfile='$(DEPDIR)/noop_theora-noop_theora.Po' tmpdepfile='$(DEPDIR)/noop_theora-noop_theora.TPo' 
#	$(CCDEPMODE) $(depcomp) 
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(noop_theora_CFLAGS) $(CFLAGS) -c -o noop_theora-noop_theora.o `test -f 'noop_theora.c' || echo '$(srcdir)/'`noop_theora.c

noop_theora-noop_theora.obj: noop_theora.c
#	source='noop_theora.c' object='noop_theora-noop_theora.obj' libtool=no 
#	depfile='$(DEPDIR)/noop_theora-noop_theora.Po' tmpdepfile='$(DEPDIR)/noop_theora-noop_theora.TPo' 
#	$(CCDEPMODE) $(depcomp) 
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(noop_theora_CFLAGS) $(CFLAGS) -c -o noop_theora-noop_theora.obj `cygpath -w noop_theora.c`

noop_theora-noop_theora.lo: noop_theora.c
#	source='noop_theora.c' object='noop_theora-noop_theora.lo' libtool=yes 
#	depfile='$(DEPDIR)/noop_theora-noop_theora.Plo' tmpdepfile='$(DEPDIR)/noop_theora-noop_theora.TPlo' 
#	$(CCDEPMODE) $(depcomp) 
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(noop_theora_CFLAGS) $(CFLAGS) -c -o noop_theora-noop_theora.lo `test -f 'noop_theora.c' || echo '$(srcdir)/'`noop_theora.c

noop_theoraenc-noop_theora.o: noop_theora.c
#	source='noop_theora.c' object='noop_theoraenc-noop_theora.o' libtool=no 
#	depfile='$(DEPDIR)/noop_theoraenc-noop_theora.Po' tmpdepfile='$(DEPDIR)/noop_theoraenc-noop_theora.TPo' 
#	$(CCDEPMODE) $(depcomp) 
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(noop_theoraenc_CFLAGS) $(CFLAGS) -c -o noop_theoraenc-noop_theora.o `test -f 'noop_theora.c' || echo '$(srcdir)/'`noop_theora.c

noop_theoraenc-noop_theora.obj: noop_theora.c
#	source='noop_theora.c' object='noop_theoraenc-noop_theora.obj' libtool=no 
#	depfile='$(DEPDIR)/noop_theoraenc-noop_theora.Po' tmpdepfile='$(DEPDIR)/noop_theoraenc-noop_theora.TPo' 
#	$(CCDEPMODE) $(depcomp) 
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(noop_theoraenc_CFLAGS) $(CFLAGS) -c -o noop_theoraenc-noop_theora.obj `cygpath -w noop_theora.c`

noop_theoraenc-noop_theora.lo: noop_theora.c
#	source='noop_theora.c' object='noop_theoraenc-noop_theora.lo' libtool=yes 
#	depfile='$(DEPDIR)/noop_theoraenc-noop_theora.Plo' tmpdepfile='$(DEPDIR)/noop_theoraenc-noop_theora.TPlo' 
#	$(CCDEPMODE) $(depcomp) 
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(noop_theoraenc_CFLAGS) $(CFLAGS) -c -o noop_theoraenc-noop_theora.lo `test -f 'noop_theora.c' || echo '$(srcdir)/'`noop_theora.c
CCDEPMODE = depmode=none

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf _libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ETAGS = etags
ETAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH

check-TESTS: $(TESTS)
	@failed=0; all=0; xfail=0; xpass=0; \
	srcdir=$(srcdir); export srcdir; \
	list='$(TESTS)'; \
	if test -n "$$list"; then \
	  for tst in $$list; do \
	    if test -f ./$$tst; then dir=./; \
	    elif test -f $$tst; then dir=; \
	    else dir="$(srcdir)/"; fi; \
	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *" $$tst "*) \
	        xpass=`expr $$xpass + 1`; \
	        failed=`expr $$failed + 1`; \
	        echo "XPASS: $$tst"; \
	      ;; \
	      *) \
	        echo "PASS: $$tst"; \
	      ;; \
	      esac; \
	    elif test $$? -ne 77; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *" $$tst "*) \
	        xfail=`expr $$xfail + 1`; \
	        echo "XFAIL: $$tst"; \
	      ;; \
	      *) \
	        failed=`expr $$failed + 1`; \
	        echo "FAIL: $$tst"; \
	      ;; \
	      esac; \
	    fi; \
	  done; \
	  if test "$$failed" -eq 0; then \
	    if test "$$xfail" -eq 0; then \
	      banner="All $$all tests passed"; \
	    else \
	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
	    fi; \
	  else \
	    if test "$$xpass" -eq 0; then \
	      banner="$$failed of $$all tests failed"; \
	    else \
	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
	    fi; \
	  fi; \
	  dashes=`echo "$$banner" | sed s/./=/g`; \
	  echo "$$dashes"; \
	  echo "$$banner"; \
	  echo "$$dashes"; \
	  test "$$failed" -eq 0; \
	else :; fi
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@list='$(DISTFILES)'; for file in $$list; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
all-am: Makefile $(HEADERS)

installdirs:

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-checkPROGRAMS clean-generic clean-libtool mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

uninstall-am: uninstall-info-am

.PHONY: GTAGS all all-am check check-TESTS check-am clean \
	clean-checkPROGRAMS clean-generic clean-libtool distclean \
	distclean-compile distclean-depend distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am info \
	info-am install install-am install-data install-data-am \
	install-exec install-exec-am install-info install-info-am \
	install-man install-strip installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool tags uninstall uninstall-am \
	uninstall-info-am

test: check
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
